Page MenuHomeFreeBSD

databases/sfcgal: Update to 1.3.8
ClosedPublic

Authored by lbartoletti on Jun 29 2020, 4:38 PM.
Tags
None
Referenced Files
Unknown Object (File)
May 20 2024, 9:59 AM
Unknown Object (File)
Apr 23 2024, 6:21 AM
Unknown Object (File)
Apr 20 2024, 5:59 PM
Unknown Object (File)
Apr 12 2024, 2:55 AM
Unknown Object (File)
Jan 21 2024, 5:29 AM
Unknown Object (File)
Jan 5 2024, 8:40 PM
Unknown Object (File)
Dec 31 2023, 12:52 AM
Unknown Object (File)
Nov 5 2023, 2:46 AM
Subscribers

Details

Summary
  • Update to 1.3.8
  • Fix build with CGAL 5 (patches pushed upstream)
  • Imrpove and fix C API
  • Add test (and a CI for FreeBSD)

Changelog:
https://github.com/Oslandia/SFCGAL/blob/master/NEWS#L1-L19

Test Plan
  • poudriere
  • portlint (looks fine.)
  • Cirrus CI

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

databases/sfcgal/pkg-plist
6 ↗(On Diff #73877)

^wait, why do unit tests install files?

This revision was not accepted when it landed; it landed in state Needs Review.Jul 1 2020, 5:14 PM
This revision was automatically updated to reflect the committed changes.